# Oma Ruby
The Oma Ruby library provides convenient access to the Open SRS Mail API from applications written in the Ruby language.

See the [OpenSRS Mail  API](https://opensrs.com/wp-content/uploads/OpenSRS_Mail_API.pdf).
## Installation

Add this line to your application's Gemfile:

```ruby
gem 'oma-ruby'
```
And then execute:

    $ bundle

Or install it yourself as:

    $ gem install oma-ruby

## Requirements
* Ruby 2.0+.

## Usage

```ruby
require 'oma-ruby'

oma_client = Oma::Ruby::Client.new(
  url:      'https://mail.test.hostedemail.com/api',
  user:     'admin@companydomain.com',
  password: 'company_password'
)

oma_client.change_user(
  user: 'john@example.com',
  password: 'p@ssword',
  name: 'John Doe'
)
```
